### Hierarchy

- WithOptionLabel

## Index

### Methods

- filterOptions
- getOptionLabel
- renderOption

## Methods

### Optional filterOptions

- filterOptions(options: EnumOption[], state: FilterOptionsState<EnumOption>): EnumOption[]

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:37

  #### Parameters

  - ##### options: EnumOption[]

  - ##### state: FilterOptionsState<EnumOption>

  #### Returns EnumOption[]

### Optional getOptionLabel

- getOptionLabel(option: EnumOption): string

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:35

  #### Parameters

  - ##### option: EnumOption

  #### Returns string

### Optional renderOption

- renderOption(option: EnumOption, state: AutocompleteRenderOptionState): ReactNode

- - Defined in packages/material/src/extended/MuiAutocomplete.tsx:36

  #### Parameters

  - ##### option: EnumOption

  - ##### state: AutocompleteRenderOptionState

  #### Returns ReactNode

Generated using TypeDoc